package appBaseTest;

import appBase.AppBase;
import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.Dimension;
import java.net.URL;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import mvc.CascadedChooser;
import mvc.HTMLView;
import vfs.VFSRoot;

/**
 *
 * @author gshute
 */
public class ResourceViewer
extends AppBase {
  
  private CascadedChooser<URL> chooser;
  
  protected Container createContentPane() {
    ChooserBuilder chooserBuilder = new ChooserBuilder("Resources");
    VFSRoot root = getResourceRoot("resource");
    root.escort(chooserBuilder);
    chooser = chooserBuilder.getChooser();
    JLabel label = new JLabel("resource/");
    JPanel chooserPanel = new JPanel(new BorderLayout());
    chooserPanel.add(label, BorderLayout.NORTH);
    chooserPanel.add(chooser.getViewComponent(), BorderLayout.CENTER);
    HTMLView htmlView = new HTMLView(chooser);
    JComponent htmlViewComponent = htmlView.getViewComponent();
    htmlViewComponent.setPreferredSize(new Dimension(800, 600));
    JScrollPane scrollPane = new JScrollPane(htmlViewComponent);
    JPanel contentPane = new JPanel(new BorderLayout());
    contentPane.add(scrollPane, BorderLayout.CENTER);
    contentPane.add(chooserPanel, BorderLayout.WEST);
    return contentPane;
  }
  
  protected JMenuBar createMenuBar() {
    JMenu fontMenu = new JMenu("Font Size");
    fontMenu.add(createFontSizeAction(12));
    fontMenu.add(createFontSizeAction(16));
    fontMenu.add(createFontSizeAction(20));
    fontMenu.add(createFontSizeAction(24));
    JMenuBar menuBar = new JMenuBar();
    menuBar.add(fontMenu);
    return menuBar;
  }
  
  protected String getTitle() {
    return "Resource Viewer";
  }
  
  public void start() {
    setFontSize(18);
    chooser.setSpacerSizeEm(6.0f, 1.5f);
  }
  
  /**
   * @param args the command line arguments
   */
  public static void main(String[] args) {
    ResourceViewer app = new ResourceViewer();
    app.installApplication();
  }
  
}
