package fileTest;

import appBase.AppBase;
import file.IconManager;
import gui.Wrapper;
import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.LayoutManager;
import javax.swing.Icon;
import javax.swing.JLabel;
import javax.swing.JMenuBar;
import javax.swing.JPanel;

/**
 *  IconManagerTest tests the file.IconManager class.
 */
public class IconManagerTest
        extends AppBase {

  private JLabel createLabel(String nm) {
    Icon icon = IconManager.getIcon(nm);
    JLabel label = new JLabel(nm, icon, JLabel.CENTER);
    label.setHorizontalTextPosition(JLabel.CENTER);
    label.setVerticalTextPosition(JLabel.BOTTOM);
    return label;
  }
  
  protected Container createContentPane() {
    LayoutManager layout =
            new FlowLayout(FlowLayout.LEADING, 10, 10);
    JPanel panel = new JPanel(layout);
    panel.add(createLabel("exec.png"));
    panel.add(createLabel("i-executable.png"));
    panel.add(createLabel("folder_grey.png"));
    panel.add(createLabel("folder_orange.png"));
    panel.add(createLabel("folder_flat.png"));
    return Wrapper.unwrapped(panel, 250, 250);
  }
  
  protected JMenuBar createMenuBar() {
    return null;
  }
  
  protected String getTitle() {
    return "IconManagerTest";
  }

  public static void main(String[] args) {
    IconManagerTest app = new IconManagerTest();
    app.installApplication();
  }

}  // public class IconManagerTest
